National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2006-0705 Detail

Current Description

Format string vulnerability in a logging function as used by various SFTP servers, including (1) AttachmateWRQ Reflection for Secure IT UNIX Server before 6.0.0.9, (2) Reflection for Secure IT Windows Server before 6.0 build 38, (3) F-Secure SSH Server for Windows before 5.3 build 35, (4) F-Secure SSH Server for UNIX 3.0 through 5.0.8, (5) SSH Tectia Server 4.3.6 and earlier and 4.4.0, and (6) SSH Shell Server 3.2.9 and earlier, allows remote authenticated users to execute arbitrary commands via unspecified vectors, involving crafted filenames and the stat command.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.5 MEDIUM
Vector: (AV:N/AC:L/Au:S/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 8.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): Single
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://marc.info/?l=bugtraq&m=120654385125315&w=2
http://security.gentoo.org/glsa/glsa-200703-13.xml
http://securitytracker.com/id?1015619 Patch
http://support.wrq.com/techdocs/1882.html Patch
http://www.kb.cert.org/vuls/id/419241 Patch US Government Resource
http://www.securityfocus.com/bid/16625 Patch
http://www.securityfocus.com/bid/16640
http://www.vupen.com/english/advisories/2006/0554 Vendor Advisory
http://www.vupen.com/english/advisories/2006/0555 Vendor Advisory
http://www.vupen.com/english/advisories/2008/1008/references Vendor Advisory
https://exchange.xforce.ibmcloud.com/vulnerabilities/24651

Technical Details

Vulnerability Type (View All)

  • Use of Externally-Controlled Format String (CWE-134)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:attachmatewrq:reflection_for_secure_it_server:6.0:*:unix:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:attachmatewrq:reflection_for_secure_it_server:6.0:*:win:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.1:*:unix:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.0.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.1.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.1.0:*:unix:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.1.0_build9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.2.0:*:unix:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:3.2.3:*:unix:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:5.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:5.1:*:win:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:5.2:*:win:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:f-secure:f-secure_ssh_server:5.3:*:win:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2006-0705
NVD Published Date:
02/15/2006
NVD Last Modified:
07/19/2017